<?php
// +----------------------------------------------------------------------
// | yershop网店管理系统
// +----------------------------------------------------------------------
// | Copyright (c) 2017 http://www.yershop.com All rights reserved.
// +----------------------------------------------------------------------
// | 版权申明：yershop网店管理系统不是一个自由软件，是贝云网络官方推出的商业源码，严禁在未经许可的情况下
// | 拷贝、复制、传播、使用yershop网店管理系统的任意代码，如有违反，请立即删除，否则您将面临承担相应
// | 法律责任的风险。如果需要取得官方授权，请联系官方http://www.yershop.com
// +----------------------------------------------------------------------
namespace app\index\controller;
use think\Controller;
use think\Db;
use think\Session;
/**
 * 文档模型控制器
 * 文档模型列表和详情
 */
class Search extends Home {
	
	public function index(){
		$keyword= input('keyword');//获取搜索内容
		$keyword=safe_replace($keyword);//过滤
		
		  $map[]=['title','like','%'.$keyword.'%'];
        
	
		//排序类型
	    $order=input('order')?input('order'):3;
		//价格排序方式
	    $range=input('range')?input('range'):"up";	
		if(!($order && is_numeric($order)&&$order<6)){
		    $this->error('排序错误！');
		}
		
		
	
		if($order<=4){
		 switch ($order){
               case 1:
                    $orderString="view asc";
                break;  
               case 2:
                    $orderString="sales desc";
               break;
			   case 3:
                    $orderString="id desc";
                break;  
               case 4:
                    $orderString="comments desc";
               break;

              default:
         }
        }
		else{
		   switch ($range){
               case "up":
                    $orderString="price asc";
                break;  
			    case "down":
                    $orderString="price desc";
                break;  
              default: 
           }
		
		}
		$page=input('page')?safe_replace(intval(input('page'))):1;
		 if(!($page && is_numeric($page))){
		   $this->error('page error！');
		}
		$info["order"]=$order;
		$info["range"]=$range;
        $info["page"]=$page;
		$info["title"]=$keyword;
		$this->assign("info",$info);
		
		$res=getLists('goods',$map,24,$orderString,"");
		$this->assign("res",$res);
		//商品精选
		$field = 'id,title,price,cover_id,view,comments';
	    $view_list=lists('goods','',6,"view desc",$field);
		$this->assign("view_list",$view_list);
	

		$this->meta_title =$keyword;	
		$this->assign('meta_title',$this->meta_title);
		return $this->fetch();
	}
	public function shop(){
		$keyword= input('keyword');//获取搜索内容
		$keyword=safe_replace($keyword);//过滤
		
		$map[]=['title','like','%'.$keyword.'%'];
        
		$info["title"]=$keyword;
		$this->assign("keyword",$keyword);
		$this->assign("info",$info);
		$res=getLists('shop',$map,24,"id desc","");
		$this->assign("res",$res);
		//商品精选
	
	

		$this->meta_title =$keyword;	
		$this->assign('meta_title',$this->meta_title);
		return $this->fetch();
	}
}
